mp2_decode_bs_impl.h File Reference
`#include <dab/mp2_decode_bs.h>`
`#include <stdio.h>`
`#include <stdint.h>`
`#include <math.h>`
Include dependency graph for mp2_decode_bs_impl.h:

Go to the source code of this file.

## Classes

struct | gr::dab::quantizer_spec
class | gr::dab::mp2_decode_bs_impl

## Namespaces

namespace | gr
namespace | gr::dab

## Macros

#define | KJMP2_MAX_FRAME_SIZE 1440
| block that decodes DAB audio frames (= MPEG2 audio frames) to PCM frames
#define | KJMP2_SAMPLES_PER_FRAME 1152

## Macro Definition Documentation

## KJMP2_MAX_FRAME_SIZE

#define KJMP2_MAX_FRAME_SIZE 1440

block that decodes DAB audio frames (= MPEG2 audio frames) to PCM frames

DAB standard conform audio decoding after ETSI TS 103 466 V1.1.1 The block always produces a stereo output. The sampling rate is 48kHz.

Parameters

  bit_rate_n | data rate in multiples of 8kbit/s

## KJMP2_SAMPLES_PER_FRAME

#define KJMP2_SAMPLES_PER_FRAME 1152